import { useLokaliseTranslation } from 'src/utils/i18n';

import BasicModal from 'src/components/BasicModal';

export type ValidationModalProps = {
  onClose: () => void;
};

export const ValidationModal = ({ onClose }: ValidationModalProps) => {
  const { t } = useLokaliseTranslation('learning');

  return (
    <BasicModal
      Icon={null}
      title={t('course.lesson.pending')}
      body={t('course.lesson.pending_description')}
      buttonColor="primary"
      primaryButtonProps={{
        id: 'close-content-validation-course-button',
        children: t('course.lesson.complete_action'),
        onClick: onClose,
      }}
    />
  );
};

export default ValidationModal;
